# Countly iOS SDK

[![Platform](https://img.shields.io/cocoapods/p/Countly.svg?style=flat)](https://support.count.ly/hc/en-us/articles/360037753511-iOS-watchOS-tvOS-macOS#supported-system-versions)
[![GitHub license](https://img.shields.io/badge/license-MIT-lightgrey.svg)](https://github.com/Countly/countly-sdk-ios/blob/master/LICENSE.md) 
[![GitHub release](https://img.shields.io/github/release/Countly/countly-sdk-ios.svg)](https://github.com/Countly/countly-sdk-ios/releases)
[![CocoaPods Compatible](https://img.shields.io/cocoapods/v/Countly.svg)](https://support.count.ly/hc/en-us/articles/360037753511-iOS-watchOS-tvOS-macOS#cocoapods)
[![Carthage Compatible](https://img.shields.io/badge/Carthage-compatible-4BC51D.svg?style=flat)](https://support.count.ly/hc/en-us/articles/360037753511-iOS-watchOS-tvOS-macOS#carthage)

## What is Countly?
[Countly](http://count.ly) is a product analytics solution and innovation enabler that helps teams track product performance and customer journey and behavior across [mobile](https://count.ly/mobile-analytics), [web](http://count.ly/web-analytics), and [desktop](https://count.ly/desktop-analytics) applications. [Ensuring privacy by design](https://count.ly/your-data-your-rules), Countly allows you to innovate and enhance your products to provide personalized and customized customer experiences, and meet key business and revenue goals.

Track, measure, and take action - all without leaving Countly.

## About this SDK
This repository includes Countly iOS SDK with watchOS, tvOS & macOS support.
The minimum deployment targets are `iOS 10.0`,  `watchOS 4.0`, `tvOS 10.0` , `macOS 10.14`, and it requires `Xcode 13.0+`.

See [Countly iOS SDK documentation](https://support.count.ly/hc/en-us/articles/360037753511-iOS-watchOS-tvOS-macOS) for integration and details.

## Sample iOS Application
We also have a useful [sample iOS application](https://github.com/Countly/countly-sample-ios) which demonstrates how to use this SDK in depth.   
It includes iOS (both Objective-C and Swift), watchOS, tvOS and macOS sample projects.  
Feel free to use them as a reference while you develop your application and also for easily testing your Countly Server.

![iOS-sample-app](https://count.ly/github/countly-ios-sample-app.png)

## Security

Security is very important to us. If you discover any issue regarding security, please disclose the information responsibly by sending an email to security@count.ly and **not by creating a GitHub issue**.

## Other Countly Resources
This SDK needs one of the following counterpart Countly Server editions to work:

* [Countly Community Edition](https://github.com/Countly/countly-server) (downloadable from GitHub)
* [Countly Enterprise Edition](https://count.ly/product)

For more information about Countly Enterprise Edition, please see [comparison of Countly editions](https://count.ly/pricing#compare-editions).

There are also other [Countly SDK repositories](https://support.count.ly/hc/en-us/articles/360037236571-Downloading-Installing-SDKs) both official and community supported.

## How can I help you with your efforts?
Glad you asked. We need ideas, feedbacks and constructive comments.  
All your suggestions will be taken care with upmost importance.  
We are on [Twitter](https://twitter.com/gocountly), [Facebook](https://www.facebook.com/Countly) and [YouTube](https://www.youtube.com/user/GoCountly) if you would like to keep up with our fast progress!

## Badges
If you like Countly, [why not use one of our badges](https://count.ly/brand-assets) and give a link back to us, so others could know about this wonderful platform? 

<a href="https://count.ly/f/badge" rel="nofollow"><img style="width:145px;height:60px" src="https://count.ly/badges/dark.svg?v2" alt="Countly - Product Analytics" /></a>

    <a href="https://count.ly/f/badge" rel="nofollow"><img style="width:145px;height:60px" src="https://count.ly/badges/dark.svg" alt="Countly - Product Analytics" /></a>

<a href="https://count.ly/f/badge" rel="nofollow"><img style="width:145px;height:60px" src="https://count.ly/badges/light.svg?v2" alt="Countly - Product Analytics" /></a>

    <a href="https://count.ly/f/badge" rel="nofollow"><img style="width:145px;height:60px" src="https://count.ly/badges/light.svg" alt="Countly - Product Analytics" /></a>

## Support
Have any questions?  
Visit [Countly Community Area](https://support.count.ly/hc/en-us/community/topics "Countly Community Area") or join our [Slack community](https://slack.count.ly).
